Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wst.messaging.engines
Class ParticipantEngine

    java.lang.Object
      com.arjuna.wst.messaging.engines.ParticipantEngine

All Implemented Interfaces:
  com.arjuna.webservices.wsat.ParticipantInboundEvents

public class ParticipantEngine
extends java.lang.Object
implements com.arjuna.webservices.wsat.ParticipantInboundEvents

The participant state engine

Author:
  kevin

Constructor Summary
`ParticipantEngine(com.arjuna.webservices.wsat.Participant participant)` Construct the initial engine for the participant.
`ParticipantEngine(com.arjuna.webservices.wsat.Participant participant, com.arjuna.webservices.wsat.State state)` Construct the engine for the participant in a specified state.

Method Summary
`void` | `commit(com.arjuna.webservices.wsat.NotificationType commit, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Handle the commit event.
`void` | `prepare(com.arjuna.webservices.wsat.NotificationType prepare, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Handle the prepare event.
`void` | `rollback(com.arjuna.webservices.wsat.NotificationType rollback, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Handle the rollback event.
`void` | `soapFault(com.arjuna.webservices.SoapFault soapFault, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Handle the soap fault event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParticipantEngine

    public ParticipantEngine(com.arjuna.webservices.wsat.Participant participant)

  Construct the initial engine for the participant.

Parameters:
  `participant` - The participant.

### ParticipantEngine

    public ParticipantEngine(com.arjuna.webservices.wsat.Participant participant,
                             com.arjuna.webservices.wsat.State state)

  Construct the engine for the participant in a specified state.

Parameters:
  `participant` - The participant.
  `state` - The initial state.

Method Detail

### commit

    public void commit(com.arjuna.webservices.wsat.NotificationType commit,
                       com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                       com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Handle the commit event.

  Specified by:
    `commit` in interface `com.arjuna.webservices.wsat.ParticipantInboundEvents`
  Parameters:
    `commit` - The commit notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context. None -> None (send committed) Active -> Aborting (do nothing) Preparing -> Aborting (do nothing) PreparedSuccess -> Committing (initiate commit) Committing -> Committing (do nothing) Aborting -> Aborting (do nothing)

### prepare

    public void prepare(com.arjuna.webservices.wsat.NotificationType prepare,
                        com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                        com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Handle the prepare event.

  Specified by:
    `prepare` in interface `com.arjuna.webservices.wsat.ParticipantInboundEvents`
  Parameters:
    `prepare` - The prepare notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context. None -> None (send aborted) Active -> Preparing (execute prepare) Preparing -> Preparing (do nothing) PreparedSuccess -> PreparedSuccess (resend prepared) Committing -> Committing (ignore) Aborting -> Aborting (send aborted and forget)

### rollback

    public void rollback(com.arjuna.webservices.wsat.NotificationType rollback,
                         com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                         com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Handle the rollback event.

  Specified by:
    `rollback` in interface `com.arjuna.webservices.wsat.ParticipantInboundEvents`
  Parameters:
    `rollback` - The rollback notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context. None -> None (send aborted) Active -> Aborting (execute rollback, send aborted and forget) Preparing -> Aborting (execute rollback, send aborted and forget) PreparedSuccess -> Aborting (execute rollback, send aborted and forget) Committing -> Committing (ignore) Aborting -> Aborting (send aborted and forget)

### soapFault

    public void soapFault(com.arjuna.webservices.SoapFault soapFault,
                          com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                          com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Handle the soap fault event.

  Specified by:
    `soapFault` in interface `com.arjuna.webservices.wsat.ParticipantInboundEvents`
  Parameters:
    `soapFault` - The soap fault.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD